For the complete documentation index, see llms.txt. This page is also available as Markdown.

Attribute Types

Returns attribute types matching the given search criteria.

get

Returns attribute types matching the given search criteria. Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored. The returned attribute types satisfy all constraints that are specified in this search criteria. By default a result containing 1000 attribute types is returned.

Authorizations
AuthorizationstringRequired
Query parameters
offsetinteger · int32Optional

The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.

Default: 0
limitinteger · int32Optional

The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.

Default: 0
countLimitinteger · int32Optional

Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped

Default: -1
namestringOptional

The name of the Attribute Type to search for.

nameMatchModestring · enumOptional

The match mode used to compare name. If the match mode is EXACT the search is case-sensitive, otherwise the search is case-insensitive.

Default: ANYWHEREPossible values:
kindstring · enumOptional

The kind of the Attribute Type to search for.

Possible values:
languagestringOptional

[DEPRECATED] The language of the Attribute Type to search for. This property is only applicable to Attribute Types of kind "Script".

statisticsEnabledbooleanOptional

Whether the Attribute Types should be searched with statistics enabled or not. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".

isIntegerbooleanOptional

Whether only integer-type Attribute Types should be searched or not. This property is only applicable to Attribute Types of kind "Numeric".

sortFieldstring · enumOptional

The field that should be used as reference for sorting.

Default: NAMEPossible values:
sortOrderstring · enumOptional

The order of sorting.

Default: ASCPossible values:
Responses
200

The paged response of found Attribute Types.

application/json
totalinteger · int64Optional

The total number of results.

Example: 1000
offsetinteger · int64Optional

The offset for the results.

Example: 10
limitinteger · int64Optional

The maximum number of results to be returned.

Example: 100
get/attributeTypes
GET /rest/2.0/attributeTypes HTTP/1.1
Authorization: Basic username:password
Accept: */*
200

The paged response of found Attribute Types.

{
  "total": 1000,
  "offset": 10,
  "limit": 100,
  "results": [
    {
      "publicId": "\"ApprovalDate_C\"",
      "attributeTypeDiscriminator": "text",
      "description": "Sample descripion of the resource.",
      "name": "Test name",
      "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
      "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
      "createdOn": 1475503010320,
      "lastModifiedOn": 1476703764163,
      "system": true,
      "id": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}

Adds a new Attribute Type.

post

Adds a new Attribute Type.

Authorizations
AuthorizationstringRequired
Body
idstring · uuidOptional

The ID of the new Attribute Type. Should be unique within all Attribute Types.
It should have a format of universally unique identifier (UUID) and should not start with 00000000-0000-0000- which is a reserved prefix.

publicIdstring · min: 1 · max: 260Optional

The public id that will be assigned to the new Attribute Type. It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

namestring · min: 1 · max: 255Required

The name of the new Attribute Type. Should be unique within all Attribute Types.

descriptionstring · max: 4000Optional

The description of the new Attribute Type.

kindstring · enumRequired

The kind of the new Attribute Type.

Possible values:
languagestring · max: 255Optional

[DEPRECATED] The language of the new Attribute Type. This property is only applicable to Attribute Types of kind "Script".

statisticsEnabledbooleanOptional

Whether statistics should be enabled. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".

allowedValuesstring[]Optional

List of allowed values. This property is only applicable to Attribute Types of kind "Single Value List" or "Multi Value List". The ordering of the elements will be preserved.

stringTypestring · enumOptional

Rich text or plain text This property is only applicable to Attribute Types of kind "String".

Possible values:
idStringstringOptionalDeprecated

The ID of the Attribute Type. This field will be removed in the future.

isIntegerbooleanOptional

Whether Attribute Type holds an integer value. This property is only applicable to Attribute Types of kind "Numeric".

Responses
201

Attribute Type successfully added.

application/json
publicIdstringOptional

The public id of the attribute type.

Example: "ApprovalDate_C"
attributeTypeDiscriminatorstringOptional

the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType.

descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
namestringOptional

The name of the resource.

Example: Test name
resourceTypestring · enumOptionalDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

idstring · uuidOptional

The id of the represented object (entity).

post/attributeTypes
POST /rest/2.0/attributeTypes HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 225

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "publicId": "text",
  "name": "text",
  "description": "text",
  "kind": "BOOLEAN",
  "language": "text",
  "statisticsEnabled": true,
  "allowedValues": [
    "text"
  ],
  "stringType": "RICH_TEXT",
  "isInteger": true
}
{
  "publicId": "\"ApprovalDate_C\"",
  "attributeTypeDiscriminator": "text",
  "description": "Sample descripion of the resource.",
  "name": "Test name",
  "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
  "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
  "createdOn": 1475503010320,
  "lastModifiedOn": 1476703764163,
  "system": true,
  "id": "123e4567-e89b-12d3-a456-426614174000"
}

Adds multiple Attribute Types.

post

Adds multiple Attribute Types.

Authorizations
AuthorizationstringRequired
Bodyobject · AddAttributeTypeRequest[]
idstring · uuidOptional

The ID of the new Attribute Type. Should be unique within all Attribute Types.
It should have a format of universally unique identifier (UUID) and should not start with 00000000-0000-0000- which is a reserved prefix.

publicIdstring · min: 1 · max: 260Optional

The public id that will be assigned to the new Attribute Type. It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

namestring · min: 1 · max: 255Required

The name of the new Attribute Type. Should be unique within all Attribute Types.

descriptionstring · max: 4000Optional

The description of the new Attribute Type.

kindstring · enumRequired

The kind of the new Attribute Type.

Possible values:
languagestring · max: 255Optional

[DEPRECATED] The language of the new Attribute Type. This property is only applicable to Attribute Types of kind "Script".

statisticsEnabledbooleanOptional

Whether statistics should be enabled. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".

allowedValuesstring[]Optional

List of allowed values. This property is only applicable to Attribute Types of kind "Single Value List" or "Multi Value List". The ordering of the elements will be preserved.

stringTypestring · enumOptional

Rich text or plain text This property is only applicable to Attribute Types of kind "String".

Possible values:
idStringstringOptionalDeprecated

The ID of the Attribute Type. This field will be removed in the future.

isIntegerbooleanOptional

Whether Attribute Type holds an integer value. This property is only applicable to Attribute Types of kind "Numeric".

Responses
201

Attribute Types successfully added.

application/json
publicIdstringOptional

The public id of the attribute type.

Example: "ApprovalDate_C"
attributeTypeDiscriminatorstringOptional

the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType.

descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
namestringOptional

The name of the resource.

Example: Test name
resourceTypestring · enumOptionalDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

idstring · uuidOptional

The id of the represented object (entity).

post/attributeTypes/bulk
POST /rest/2.0/attributeTypes/bulk HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 227

[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "publicId": "text",
    "name": "text",
    "description": "text",
    "kind": "BOOLEAN",
    "language": "text",
    "statisticsEnabled": true,
    "allowedValues": [
      "text"
    ],
    "stringType": "RICH_TEXT",
    "isInteger": true
  }
]
[
  {
    "publicId": "\"ApprovalDate_C\"",
    "attributeTypeDiscriminator": "text",
    "description": "Sample descripion of the resource.",
    "name": "Test name",
    "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
    "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
    "createdOn": 1475503010320,
    "lastModifiedOn": 1476703764163,
    "system": true,
    "id": "123e4567-e89b-12d3-a456-426614174000"
  }
]

Removes multiple attribute types.

delete

Removes multiple attribute types identified by the UUIDs passed as parameter.

Authorizations
AuthorizationstringRequired
Bodystring · uuid[]
string · uuid[]Optional
Responses
204

Attribute types removed

No content

delete/attributeTypes/bulk
DELETE /rest/2.0/attributeTypes/bulk HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 40

[
  "123e4567-e89b-12d3-a456-426614174000"
]

No content

Changes multiple attribute types.

patch

Changes multiple attribute types with the information present in the request.

Authorizations
AuthorizationstringRequired
Bodyobject · ChangeAttributeTypeRequest[]
idstring · uuidRequired

The ID of the Attribute Type to be changed. Silently ignored if the ID is provided as path parameter of the request.

publicIdstring · min: 1 · max: 260Optional

The new public id for the Attribute Type. It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.

namestring · min: 1 · max: 255Optional

The new name for the Attribute Type.

descriptionstring · max: 4000Optional

The new description for the Attribute Type.

languagestring · max: 255Optional

[DEPRECATED] The new language for the Attribute Type. This property is only applicable to Attribute Types of kind "Script", and specifies the language of the script.

statisticsEnabledbooleanOptional

Whether statistics should be enabled. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".

isIntegerbooleanOptional

Whether Attribute Type holds integer value. This property is only applicable to Attribute Types of kind "Numeric".

allowedValuesstring[]Optional

List of allowed values. This property is only applicable to Attribute Types of kind "Single Value List" or "Multi Value List". The ordering of the elements will be preserved.

stringTypestring · enumOptional

Whether the Attribute Type holds rich text or plain text. This property is only applicable to Attribute Types of kind "String".

Possible values:
Responses
200

Attribute Types successfully changed.

application/json
publicIdstringOptional

The public id of the attribute type.

Example: "ApprovalDate_C"
attributeTypeDiscriminatorstringOptional

the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType.

descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
namestringOptional

The name of the resource.

Example: Test name
resourceTypestring · enumOptionalDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

idstring · uuidOptional

The id of the represented object (entity).

patch/attributeTypes/bulk
PATCH /rest/2.0/attributeTypes/bulk HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 210

[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "publicId": "text",
    "name": "text",
    "description": "text",
    "language": "text",
    "statisticsEnabled": true,
    "isInteger": true,
    "allowedValues": [
      "text"
    ],
    "stringType": "RICH_TEXT"
  }
]
[
  {
    "publicId": "\"ApprovalDate_C\"",
    "attributeTypeDiscriminator": "text",
    "description": "Sample descripion of the resource.",
    "name": "Test name",
    "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
    "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
    "createdOn": 1475503010320,
    "lastModifiedOn": 1476703764163,
    "system": true,
    "id": "123e4567-e89b-12d3-a456-426614174000"
  }
]

Returns the attribute type identified by given UUID.

get

Returns the attribute type identified by given UUID.

Authorizations
AuthorizationstringRequired
Path parameters
attributeTypeIdstring · uuidRequired

the unique identifier of the attribute type

Responses
200

Attribute Type found.

application/json
publicIdstringOptional

The public id of the attribute type.

Example: "ApprovalDate_C"
attributeTypeDiscriminatorstringOptional

the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType.

descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
namestringOptional

The name of the resource.

Example: Test name
resourceTypestring · enumOptionalDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

idstring · uuidOptional

The id of the represented object (entity).

get/attributeTypes/{attributeTypeId}
GET /rest/2.0/attributeTypes/{attributeTypeId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
  "publicId": "\"ApprovalDate_C\"",
  "attributeTypeDiscriminator": "text",
  "description": "Sample descripion of the resource.",
  "name": "Test name",
  "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
  "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
  "createdOn": 1475503010320,
  "lastModifiedOn": 1476703764163,
  "system": true,
  "id": "123e4567-e89b-12d3-a456-426614174000"
}

Removes attribute type identified by given UUID.

delete

Removes attribute type identified by given UUID. Removal is idempotent: removing an attribute type that no longer exists also succeeds.

Authorizations
AuthorizationstringRequired
Path parameters
attributeTypeIdstring · uuidRequired

the unique identifier of the attribute type

Responses
204

Attribute type removed

No content

delete/attributeTypes/{attributeTypeId}
DELETE /rest/2.0/attributeTypes/{attributeTypeId} HTTP/1.1
Authorization: Basic username:password
Accept: */*

No content

Changes the attribute types.

patch

Changes the attribute types with the information present in the request. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.

Authorizations
AuthorizationstringRequired
Path parameters
attributeTypeIdstring · uuidRequired

the unique identifier of the attribute type

Body
idstring · uuidRequired

The ID of the Attribute Type to be changed. Silently ignored if the ID is provided as path parameter of the request.

publicIdstring · min: 1 · max: 260Optional

The new public id for the Attribute Type. It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.

namestring · min: 1 · max: 255Optional

The new name for the Attribute Type.

descriptionstring · max: 4000Optional

The new description for the Attribute Type.

languagestring · max: 255Optional

[DEPRECATED] The new language for the Attribute Type. This property is only applicable to Attribute Types of kind "Script", and specifies the language of the script.

statisticsEnabledbooleanOptional

Whether statistics should be enabled. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".

isIntegerbooleanOptional

Whether Attribute Type holds integer value. This property is only applicable to Attribute Types of kind "Numeric".

allowedValuesstring[]Optional

List of allowed values. This property is only applicable to Attribute Types of kind "Single Value List" or "Multi Value List". The ordering of the elements will be preserved.

stringTypestring · enumOptional

Whether the Attribute Type holds rich text or plain text. This property is only applicable to Attribute Types of kind "String".

Possible values:
Responses
200

Attribute Type successfully changed.

application/json
publicIdstringOptional

The public id of the attribute type.

Example: "ApprovalDate_C"
attributeTypeDiscriminatorstringOptional

the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType.

descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
namestringOptional

The name of the resource.

Example: Test name
resourceTypestring · enumOptionalDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

idstring · uuidOptional

The id of the represented object (entity).

patch/attributeTypes/{attributeTypeId}
PATCH /rest/2.0/attributeTypes/{attributeTypeId} HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 208

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "publicId": "text",
  "name": "text",
  "description": "text",
  "language": "text",
  "statisticsEnabled": true,
  "isInteger": true,
  "allowedValues": [
    "text"
  ],
  "stringType": "RICH_TEXT"
}
{
  "publicId": "\"ApprovalDate_C\"",
  "attributeTypeDiscriminator": "text",
  "description": "Sample descripion of the resource.",
  "name": "Test name",
  "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
  "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
  "createdOn": 1475503010320,
  "lastModifiedOn": 1476703764163,
  "system": true,
  "id": "123e4567-e89b-12d3-a456-426614174000"
}

Returns the attribute type identified by given name.

get

Returns the attribute type identified by given name.

Authorizations
AuthorizationstringRequired
Path parameters
attributeTypeNamestringRequired

the unique identifier of the attribute type

Responses
200

Attribute Type found.

application/json
publicIdstringOptional

The public id of the attribute type.

Example: "ApprovalDate_C"
attributeTypeDiscriminatorstringOptional

the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType.

descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
namestringOptional

The name of the resource.

Example: Test name
resourceTypestring · enumOptionalDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

idstring · uuidOptional

The id of the represented object (entity).

get/attributeTypes/name/{attributeTypeName}
GET /rest/2.0/attributeTypes/name/{attributeTypeName} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
  "publicId": "\"ApprovalDate_C\"",
  "attributeTypeDiscriminator": "text",
  "description": "Sample descripion of the resource.",
  "name": "Test name",
  "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
  "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
  "createdOn": 1475503010320,
  "lastModifiedOn": 1476703764163,
  "system": true,
  "id": "123e4567-e89b-12d3-a456-426614174000"
}

Get the attribute type by public id

get

Returns the attribute type identified by the given public id.

Authorizations
AuthorizationstringRequired
Path parameters
publicIdstringRequired

The public identifier of the attribute type

Responses
200

Attribute type found.

application/json
publicIdstringOptional

The public id of the attribute type.

Example: "ApprovalDate_C"
attributeTypeDiscriminatorstringOptional

the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType.

descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
namestringOptional

The name of the resource.

Example: Test name
resourceTypestring · enumOptionalDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

idstring · uuidOptional

The id of the represented object (entity).

get/attributeTypes/publicId/{publicId}
GET /rest/2.0/attributeTypes/publicId/{publicId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
  "publicId": "\"ApprovalDate_C\"",
  "attributeTypeDiscriminator": "text",
  "description": "Sample descripion of the resource.",
  "name": "Test name",
  "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
  "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
  "createdOn": 1475503010320,
  "lastModifiedOn": 1476703764163,
  "system": true,
  "id": "123e4567-e89b-12d3-a456-426614174000"
}

Last updated

Was this helpful?